Package tigase.io

# Class TLSIO

java.lang.Object
tigase.io.TLSIO

All Implemented Interfaces:
  `IOInterface`, `TLSIOIfc`

public class TLSIO extends Object implements IOInterface, TLSIOIfc
Describe class TLSIO here.
Created: Sat May 14 07:43:30 2005

Author:
  Artur Hefczyc

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TLS_CAPS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TLSIO(IOInterface ioi, TLSWrapper wrapper, ByteOrder order)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `bytesRead()`
  `boolean`
  `checkCapabilities(String caps)`
  `long`
  `getBuffOverflow(boolean reset)`
  `long`
  `getBytesReceived(boolean reset)`
  `long`
  `getBytesSent(boolean reset)`
  `int`
  `getInputPacketSize()`
  `SocketChannel`
  `getSocketChannel()`
  `void`
  `getStatistics(StatisticsList list, boolean reset)`
  `long`
  `getTotalBuffOverflow()`
  `long`
  `getTotalBytesReceived()`
  `long`
  `getTotalBytesSent()`
  `boolean`
  `isConnected()`
  `boolean`
  `isRemoteAddress(String addr)`
  `void`
  `processHandshake(byte[] data)`
  `ByteBuffer`
  `read(ByteBuffer buff)`
  `void`
  `setLogId(String logId)`
  `void`
  `stop()`
  `String`
  `toString()`
  `boolean`
  `waitingToSend()`
  `int`
  `waitingToSendSize()`
  `int`
  `write(ByteBuffer buff)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TLS_CAPS

    public static final String TLS_CAPS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TLSIO

    public TLSIO(IOInterface ioi, TLSWrapper wrapper, ByteOrder order) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### bytesRead

    public int bytesRead()
    Specified by:
      `bytesRead` in interface `IOInterface`

  - ### getBytesSent

    public long getBytesSent(boolean reset)
    Specified by:
      `getBytesSent` in interface `IOInterface`

  - ### getTotalBytesSent

    public long getTotalBytesSent()
    Specified by:
      `getTotalBytesSent` in interface `IOInterface`

  - ### getBytesReceived

    public long getBytesReceived(boolean reset)
    Specified by:
      `getBytesReceived` in interface `IOInterface`

  - ### getTotalBytesReceived

    public long getTotalBytesReceived()
    Specified by:
      `getTotalBytesReceived` in interface `IOInterface`

  - ### getBuffOverflow

    public long getBuffOverflow(boolean reset)
    Specified by:
      `getBuffOverflow` in interface `IOInterface`

  - ### getTotalBuffOverflow

    public long getTotalBuffOverflow()
    Specified by:
      `getTotalBuffOverflow` in interface `IOInterface`

  - ### checkCapabilities

    public boolean checkCapabilities(String caps)
    Specified by:
      `checkCapabilities` in interface `IOInterface`

  - ### getInputPacketSize

    public int getInputPacketSize() throws IOException
    Specified by:
      `getInputPacketSize` in interface `IOInterface`
    Throws:
      `IOException`

  - ### getSocketChannel

    public SocketChannel getSocketChannel()
    Specified by:
      `getSocketChannel` in interface `IOInterface`

  - ### getStatistics

    public void getStatistics(StatisticsList list, boolean reset)
    Specified by:
      `getStatistics` in interface `IOInterface`

  - ### isConnected

    public boolean isConnected()
    Specified by:
      `isConnected` in interface `IOInterface`

  - ### isRemoteAddress

    public boolean isRemoteAddress(String addr)
    Specified by:
      `isRemoteAddress` in interface `IOInterface`

  - ### read

    public ByteBuffer read(ByteBuffer buff) throws IOException
    Specified by:
      `read` in interface `IOInterface`
    Throws:
      `IOException`

  - ### stop

    public void stop() throws IOException
    Specified by:
      `stop` in interface `IOInterface`
    Throws:
      `IOException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### waitingToSend

    public boolean waitingToSend()
    Specified by:
      `waitingToSend` in interface `IOInterface`

  - ### waitingToSendSize

    public int waitingToSendSize()
    Specified by:
      `waitingToSendSize` in interface `IOInterface`

  - ### write

    public int write(ByteBuffer buff) throws IOException
    Specified by:
      `write` in interface `IOInterface`
    Throws:
      `IOException`

  - ### setLogId

    public void setLogId(String logId)
    Specified by:
      `setLogId` in interface `IOInterface`

  - ### processHandshake

    public void processHandshake(byte[] data) throws IOException
    Specified by:
      `processHandshake` in interface `TLSIOIfc`
    Throws:
      `IOException`